com.lowagie.text.rtf.parser.destinations

## Class RtfDestinationInfo

- java.lang.Object
- - com.lowagie.text.rtf.parser.destinations.RtfDestination
  - - com.lowagie.text.rtf.parser.destinations.RtfDestinationInfo

    public class RtfDestinationInfo
    extends RtfDestination

`RtfDestinationInfo` handles data destined for the info destination

Since:
  2.0.8
Author:
  Howard Shank (hgshank@yahoo.com)

### Field Summary

Fields
`private java.lang.String` `elementName`
`private java.lang.String` `text`

### Fields inherited from class com.lowagie.text.rtf.parser.destinations.RtfDestination

`lastCtrlWord, modified, rtfParser`

### Constructor Summary

Constructors
Constructor and Description
`RtfDestinationInfo()`
`RtfDestinationInfo(RtfParser parser, java.lang.String elementname)` Constructs a new RtfDestinationInfo.

### Method Summary

Methods
`boolean` `closeDestination()` Clean up when destination is closed.
`boolean` `handleCharacter(int ch)` Handle text for this destination
`boolean` `handleCloseGroup()` Clean up when group is closed.
`boolean` `handleControlWord(RtfCtrlWordData ctrlWordData)` Handle control word for this destination
`boolean` `handleOpenGroup()` Setup when group is opened.
`boolean` `handleOpeningSubGroup()` Handle a new subgroup contained within this group
`void` `setElementName(java.lang.String value)`
`void` `setParser(RtfParser parser)` Set the parser to use with the RtfDestination object.
`void` `setToDefaults()` Method to set this object to the default values.

### Methods inherited from class com.lowagie.text.rtf.parser.destinations.RtfDestination

`addListener, afterCharacter, afterCtrlWord, beforeCharacter, beforeCtrlWord, getNewTokeniserState, isModified, onCharacter, onCloseGroup, onCtrlWord, onOpenGroup, removeListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### elementName

    private java.lang.String elementName

#### text

    private java.lang.String text

### Constructor Detail

#### RtfDestinationInfo

    public RtfDestinationInfo()

#### RtfDestinationInfo

    public RtfDestinationInfo(RtfParser parser,
                      java.lang.String elementname)

Constructs a new RtfDestinationInfo.

Parameters:
  `parser` - The RtfParser object.

### Method Detail

#### setParser

    public void setParser(RtfParser parser)

Description copied from class: `RtfDestination`
Set the parser to use with the RtfDestination object.

Overrides:
  `setParser` in class `RtfDestination`
Parameters:
  `parser` - The RtfParser object.

#### setElementName

    public void setElementName(java.lang.String value)

#### handleOpeningSubGroup

    public boolean handleOpeningSubGroup()

Description copied from class: `RtfDestination`
Handle a new subgroup contained within this group

Specified by:
  `handleOpeningSubGroup` in class `RtfDestination`
Returns:
  true if handled, false if not handled

#### closeDestination

    public boolean closeDestination()

Description copied from class: `RtfDestination`
Clean up when destination is closed.

Specified by:
  `closeDestination` in class `RtfDestination`
Returns:
  true if handled, false if not handled

#### handleCloseGroup

    public boolean handleCloseGroup()

Description copied from class: `RtfDestination`
Clean up when group is closed.

Specified by:
  `handleCloseGroup` in class `RtfDestination`
Returns:
  true if handled, false if not handled

#### handleOpenGroup

    public boolean handleOpenGroup()

Description copied from class: `RtfDestination`
Setup when group is opened.

Specified by:
  `handleOpenGroup` in class `RtfDestination`
Returns:
  true if handled, false if not handled

#### handleCharacter

    public boolean handleCharacter(int ch)

Description copied from class: `RtfDestination`
Handle text for this destination

Specified by:
  `handleCharacter` in class `RtfDestination`
Returns:
  true if handled, false if not handled

#### handleControlWord

    public boolean handleControlWord(RtfCtrlWordData ctrlWordData)

Description copied from class: `RtfDestination`
Handle control word for this destination

Specified by:
  `handleControlWord` in class `RtfDestination`
Parameters:
  `ctrlWordData` - The control word and parameter information object
Returns:
  true if handled, false if not handled

#### setToDefaults

    public void setToDefaults()

Description copied from class: `RtfDestination`
Method to set this object to the default values. Must be implemented in child class.

Specified by:
  `setToDefaults` in class `RtfDestination`